<?php if (!defined('PmWiki')) exit();

if (isset($phpinc_params['var']))
{
  $varname = $phpinc_params['var'];
  $default = (isset($phpinc_params['def']) ? $phpinc_params['def'] : '');

  $text = $default;
  if (isset($_REQUEST[$varname]))
  {
    $text = (string)$_REQUEST[$varname];
    if (get_magic_quotes_gpc()) { $text = stripslashes($text); }
  }

  if (isset($phpinc_params['']))
  {
    foreach ($phpinc_params[''] as $modifier)
    {
      switch ($modifier)
      {
        case 'url': $text = urlencode($text); break;
        case 'nl2br': $text = nl2br($text); break;
        default: $text = 'unknown modifier';
      }
    }
  }

  echo Keep(str_replace("'", '&#39;', htmlentities($text)));
    #       ^--- a tribute to Pm's crush on single quotes in
    #            (X)HTML tag attributes
}
else
{
  echo '$[error: variable name not given]';
}